## org.apache.lucene.benchmark
Class Driver

    java.lang.Object
      org.apache.lucene.benchmark.Driver

    public class Driver

extends Object

Sets up the benchmark driver.

Constructor Summary
`Driver()`
`Driver(Benchmarker benchmarker, BenchmarkOptions options)`
`Driver(File workingDir, InputSource inputSource)` Creates a Driver using Digester

Method Summary
`Benchmarker` `getBenchmarker()`
`BenchmarkOptions` `getOptions()`
`File` `getWorkingDir()`
`static void` `main(String[] args)`
`void` `setBenchmarker(Benchmarker benchmarker)`
`void` `setOptions(BenchmarkOptions options)`
`void` `setWorkingDir(File workingDir)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Driver

    public Driver()

### Driver

    public Driver(Benchmarker benchmarker,
                  BenchmarkOptions options)

### Driver

    public Driver(File workingDir,
                  InputSource inputSource)
           throws IOException,
                  SAXException

  Creates a Driver using Digester

  Parameters:
    `inputSource` -
  Throws:
    `IOException`
    `SAXException`

Method Detail

### getBenchmarker

    public Benchmarker getBenchmarker()

### setBenchmarker

    public void setBenchmarker(Benchmarker benchmarker)

### getOptions

    public BenchmarkOptions getOptions()

### setOptions

    public void setOptions(BenchmarkOptions options)

### getWorkingDir

    public File getWorkingDir()

### setWorkingDir

    public void setWorkingDir(File workingDir)

### main

    public static void main(String[] args)

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.